# kara3D

Aegisub scripts for 3D shenanigans

## Setup

0 - Use karaOK (https://github.com/logarrhythmic/karaOK)  
1 - Put the repo in your Aegisub/automation/include folder, under the name "kara3d".  
2 - Create a `code once` line with the following code: `_G.require("kara3d.all")`  
3 - Create another `code once` line with the names you will use for the classes that are now stored in `_G` (for example, `vec = _G.vector`)  
    (alternalively, you can directly use the `_G.xxx` syntax but it's quite lengthy)

## How to Use

Build a scene tree using transforms, attach shapes to those transforms and draw them when needed with `shape:draw()`.  
Attached shapes will follow their transform and its parents when those are modified.  
There is no transition function yet, so you must create frame-by-frame animations.  

## Note

Resulting subtitle files may be really long
